E: system-tools-backends: el subproceso post-installation script devolvió el código de salida de error 1

Imagen de dc_361
0 puntos

hola a todos mi problema es que cuando trato de instalar una aplicación en ubuntu 8.10 me sale el siguiente error
E: system-tools-backends: el subproceso post-installation script devolvió el código de salida de error 1

abro el gestor de paquetes de synaptic busco un programa cualquiera le doy a aplicar , descarga el paquete lo empieza a instalar y al final me aperase el error esto mismo me sucede cuando trato de instalar una actualización si alguien sabe como puedo solucionar este problema se lo agradezco
aclaro soy muy nuevo con ubuntu
muchas gracias

Imagen de srmantis
+1
0
-1

hace algunas horas me paso lo mismo, pero lo solucione con el comando:
sudo aptitude purge nombre_del_programa

donde nombre_del_programa es el paquete que tiene problemas, este aparece antes (o despues) de la linea de error E: system-tools-backends: el subproceso post-installation script devolvió el código de salida de error 1

Sr. Mantis

Ubuntu 8.10

------------------------------------------------------- 

Ubuntu Usuario #21109 / Linux Usuario #468104

+1
0
-1

Sr. Mantis

Ubuntu 8.10

------------------------------------------------------- 

Ubuntu Usuario #21109 / Linux Usuario #468104

Imagen de dc_361
+1
0
-1

he echo el proseso que me dice y esto es lo que aparece en mi terminal que puedo hacer

diego@diego-desktop:~$ sudo aptitude purge openoffice.org-java-common
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias
Leyendo la información de estado... Hecho
Leyendo la información de estado extendido
Inicializando el estado de los paquetes... Hecho
Se configurarán los siguientes paquetes que están ahora parcialmente instalados:
system-tools-backends
0 paquetes actualizados, 0 nuevos instalados, 0 para eliminar y 0 sin actualizar.
Necesito descargar 0B de ficheros. Después de desempaquetar se usarán 0B.
Escribiendo información de estado extendido... Hecho
Configurando system-tools-backends (2.6.0-1ubuntu1.1) ...
* Starting System Tools Backends system-tools-backends invoke-rc.d: initscript system-tools-backends, action "start" failed.
dpkg: error al procesar system-tools-backends (--configure):
el subproceso post-installation script devolvió el código de salida de error 1
Se encontraron errores al procesar:
system-tools-backends
E: Sub-process /usr/bin/dpkg returned an error code (1)
Un paquete no se pudo instalar. Intentado recuperarse:
Configurando system-tools-backends (2.6.0-1ubuntu1.1) ...
* Starting System Tools Backends system-tools-backends invoke-rc.d: initscript system-tools-backends, action "start" failed.
dpkg: error al procesar system-tools-backends (--configure):
el subproceso post-installation script devolvió el código de salida de error 1
Se encontraron errores al procesar:
system-tools-backends
Leyendo lista de paquetes... Hecho
Creando árbol de dependencias
Leyendo la información de estado... Hecho
Leyendo la información de estado extendido
Inicializando el estado de los paquetes... Hecho

diego@diego-desktop:~$

+1
0
-1

Imagen de dc_361
+1
0
-1

enserio necesito ayuda con esto gracias a todos por ayudarme

+1
0
-1

Imagen de srmantis
+1
0
-1

el comando que te di es para borrar el archivo que causa el error:
sudo aptitude purge paquete
en este caso, por lo que te arroja la consola es system-tools-backends
sudo aptitude purge system-tools-backends

editado:aunque primero podrias intentar (porque no tengo la menor idea para que sirve ese paquete)
sudo aptitude system-tools-backends
para ver si se termina completamente la instalacion

con eso deberia solucionarse (aunque tampoco soy experto, jajaja)


Cuando quieras instalar un paquete tambien puedes hacerlo desde la consola con el comando
sudo apt-get install paquete

ahora si hay algun problema con la instalacion prefiere el comando
sudo aptitude install paquete

Y asegurate tener habilitados los repositos universe, multiverse, main y restricted (menu sistema-->administracion-->origenes del software)

Sr. Mantis

Ubuntu 8.10

------------------------------------------------------- 

Ubuntu Usuario #21109 / Linux Usuario #468104

+1
0
-1

Sr. Mantis

Ubuntu 8.10

------------------------------------------------------- 

Ubuntu Usuario #21109 / Linux Usuario #468104

Imagen de dc_361
+1
0
-1

muchas gracias esto soluciono mi problema

+1
0
-1

Imagen de cpollan
+1
0
-1

Hola colegas, resulta que acabo de actualizar mi repo y, a a la hora de instalar las actualizaciones, pe pone el siguiente error:
E: initscripts: el subproceso instalado el script post-installation
devolvió el código de salida de error 1
Y ahora resulta que no puedo ni instalar ni desintalar nada..
¿Alguien me puede ayudar a solucionar este problemas?

+1
0
-1